> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Jobs

GET all Jobs instances. Returns a paginated list of Jobs.


## OpenAPI

````yaml GET /api/v1/jobs
openapi: 3.0.0
info:
  title: One Codex API (v1)
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/jobs:
    get:
      summary: GET jobs instances
      operationId: get_jobs_instances
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            format: int32
          description: Page number. Defaults to 1. See Pagination for more details.
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 50
            format: int32
          description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
        - name: sort
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
        - name: where
          in: query
          required: false
          schema:
            type: object
            format: string
          description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/jobs'
components:
  schemas:
    jobs:
      type: object
      properties:
        $uri:
          type: string
          pattern: ^/api/v1/jobs\/[^/]+$
          example: /api/v1/jobs/a1b2c3d4e5f67890
        analysis_type:
          type: string
          description: >-
            The type of analysis. See [the analysis
            resource](/api/analysis-resource) for more details.
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
        job_args_schema:
          type: object
          description: >-
            The JSON schema for the arguments taken by the job (can be an empty
            object, i.e., `{}`).
        name:
          type: string
          description: >-
            The name of the job (this is displayed in the dropdown on the
            analysis page of the One Codex web application).
        public:
          type: boolean
          description: >-
            Whether the job is publicly available. For most jobs this will be
            `true`. Custom, private jobs are also available, and will only be
            visible to users whose samples (or samples shared with them) have
            been analyzed using that job.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````